Author Topic: PHP Version Switcher  (Read 11066 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
PHP Version Switcher
« on: May 24, 2014, 09:38:32 PM »
Now CWP has PHP Switch option in which you can very easily switch to other PHP version and recompile it with desired modules.

How to use it?
- Click on PHP Version Switcher (here you will get server PHP version and compiled modules which your server has now compiled).
- Select PHP Version you wish to compile in drop-down menu and click next.
- In PHP compiler you can add or remove modules you want (please use only: one per line).
- Click on Start compiler and compiler will start to work in background.

Compiler needs from 5 to 20 minutes to finish depending on modules you are installing and your CPU power.
You can return in eg. 15 minutes and in CWP - PHP Version Switch check which version of PHP and modules you now have.

Your websites and CWP will work during compiler process and PHP will be update when compiler is completed and only if its successful.

You can check PHP compile logs in file:
Code: [Select]
/var/log/php-rebuild.log
If you wish to monitor compiler then use this command from shell:
Code: [Select]
tail -f /var/log/php-rebuild.log



« Last Edit: May 25, 2014, 02:04:01 PM by Administrator »
AntiDDoS Protection (web + mail)
http://centos-webpanel.com/website-ddos-protection-proxy

Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp


Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor


Do you need Fast and FREE Support included for your CWP linux server?
http://centos-webpanel.com/noc-partner-list
Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services

Offline
*
Re: PHP Version Switcher
« Reply #1 on: May 25, 2014, 12:28:00 PM »
glad to see this messages!
but I still concern some details.
if I switch to another php version, will CWP remove the installed version, or just compile the selected version in another path?
and is the web server still working during the process of compiling?

Offline
*
Re: PHP Version Switcher
« Reply #2 on: May 25, 2014, 02:04:46 PM »
post is updated, it will use same location no changes.
AntiDDoS Protection (web + mail)
http://centos-webpanel.com/website-ddos-protection-proxy

Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp


Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor


Do you need Fast and FREE Support included for your CWP linux server?
http://centos-webpanel.com/noc-partner-list
Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services

Offline
*
Re: PHP Version Switcher
« Reply #3 on: August 06, 2014, 10:44:45 PM »
PHP Version Switcher for me not Working !!
in ssh
tail -f /var/log/php-rebuild.log
Error was
Code: [Select]
tail: cannot open `/var/log/php-rebuild.log' for reading: No such file or directory

Offline
*
Re: PHP Version Switcher
« Reply #4 on: August 07, 2014, 01:05:32 AM »
you can contact support for more detailed check of this issue and debugging.
http://centos-webpanel.com/contact
AntiDDoS Protection (web + mail)
http://centos-webpanel.com/website-ddos-protection-proxy

Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp


Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor


Do you need Fast and FREE Support included for your CWP linux server?
http://centos-webpanel.com/noc-partner-list
Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services

Offline
*
Re: PHP Version Switcher
« Reply #5 on: November 22, 2014, 07:47:08 AM »
PHP Version Switcher for me not Working !!
The same issue! I can't change PHP from 5.4/5.3 to 5.2 but it works from 5.4 to 5.3.

Any suggestion?

Offline
*
Re: PHP Version Switcher
« Reply #6 on: May 21, 2015, 01:45:10 PM »
I would like to add tidy support on php.
I add
Code: [Select]
--with-tidy in php switcher but it does not change tidy support.
The log file ended with
Code: [Select]
checking for TIDY support... yes
PHP Rebuild Completed
I try to change the php version (from 5.4 to 5.5) but it is the same thing (version does not change and log file end with php rebuild completed).
I am doing something wrong ?
Thank you

Offline
*
Re: PHP Version Switcher
« Reply #7 on: July 07, 2015, 09:39:40 AM »
Changing the php version from 4.4.9 to 5.2.17 or other upper versions doesn't work. In PHP Info page it mentions "You are running PHP version: 5.2.17". But in the table of the same page it points "PHP Version 4.4.9". What is wrong? Please help me.

Update:
# php -v
php version -> 5.2.17

On the other side, one of my websites on this host tells the current version is 4.4.9.
« Last Edit: July 07, 2015, 09:43:09 AM by dophlin »

Offline
*
Re: PHP Version Switcher
« Reply #8 on: July 07, 2015, 06:44:28 PM »
you will need to check php selector and if you have set custom path for account php version somewhere in htaccess
AntiDDoS Protection (web + mail)
http://centos-webpanel.com/website-ddos-protection-proxy

Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp


Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor


Do you need Fast and FREE Support included for your CWP linux server?
http://centos-webpanel.com/noc-partner-list
Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services

Offline
*
Re: PHP Version Switcher
« Reply #9 on: October 18, 2015, 02:42:21 PM »
I guess the latest CWP version still having the same issue where I did the php recompilation from 5.4 to 5.3 and from 5.3 back to 5.4 again. On php -v it showed 5.4 but the php info page still showing 5.3.

Offline
*
Re: PHP Version Switcher
« Reply #10 on: October 18, 2015, 05:03:15 PM »
you should contact support so this could be checked on your server
http://centos-webpanel.com/contact
AntiDDoS Protection (web + mail)
http://centos-webpanel.com/website-ddos-protection-proxy

Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp


Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor


Do you need Fast and FREE Support included for your CWP linux server?
http://centos-webpanel.com/noc-partner-list
Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services

Offline
*
Re: PHP Version Switcher
« Reply #11 on: October 22, 2015, 07:07:32 AM »
Is okay. I had updated to the version 5.5.11 anyway. Thanks.

Offline
*
Re: PHP Version Switcher
« Reply #12 on: November 07, 2015, 09:26:15 PM »
Hello , thank you for this feature in CWP,
i like it and looks very nice idea :D
i have a question:

1. Does this feature can used by user?  or only root privilege!?

because i create an user account for my customer , i gave to him the credentials , and if he like to change php version he can do it by himself , with php version switcher!! ? so !
i know one method is to edit .httacess file but should be better to be this feature for users to!

thank you!

Offline
*
Re: PHP Version Switcher
« Reply #13 on: November 21, 2015, 11:21:17 PM »
you can only change per user by using htaccess and php selector, as php-switcher is a global server version.
AntiDDoS Protection (web + mail)
http://centos-webpanel.com/website-ddos-protection-proxy

Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp


Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor


Do you need Fast and FREE Support included for your CWP linux server?
http://centos-webpanel.com/noc-partner-list
Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services

Offline
*
Re: PHP Version Switcher
« Reply #14 on: May 03, 2017, 09:56:21 PM »
How can I use flags during compile, like in the selector?  Specifically, I want to compile my base PHP version with --with-apxs2=/usr/local/apache/bin/apxs.  Thanks!